Bug Hunting Session
Bug 66369 - FILEOPEN: MS .docx Fails to import properly. Picture on wrong side (2/6)
Summary: FILEOPEN: MS .docx Fails to import properly. Picture on wrong side (2/6)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: (target:4.3.0)
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 16:21 UTC by Luke
Modified: 2014-04-11 17:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
MS .docx file fails to import correctly (172.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-29 16:40 UTC, Luke
Details
Comparison of DocX in Word vs Writer P1 (333.74 KB, image/png)
2013-06-29 16:47 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2013-06-29 16:21:44 UTC
This bug was tested LibreOffice v4.1 RC1 running in windows 7 and XP. It appears that LibreOffice loses formatting when importing MS .docx files. I have attached an example.

Steps to reproduce the bug:
1. Open attached Demo-Hayden-Management.docx document in writer 
2. Open attached Demo-Hayden-Management.docx document in Word2007/Office 365
3. Compare the documents. 

Note from item #2 from the screenshot that the picture should be on the right side.
Comment 1 Luke 2013-06-29 16:40:12 UTC
Created attachment 81685 [details]
MS .docx file fails to import correctly
Comment 2 Luke 2013-06-29 16:47:40 UTC
Created attachment 81694 [details]
Comparison of DocX in Word vs Writer P1
Comment 3 Jorendc 2013-06-30 21:00:57 UTC
I can confirm this tested using Windows 8 with LibreOffice 4.2.0.0 Version: 4.2.0.0.alpha0+ Build ID: 9bd0a976017fadf4344cbf6746abd395dfcc3cb7
TinderBox: Win-x86@6, Branch:master, Time: 2013-06-29_22:42:02 and LibreOffice 3.6.7.1.

Kind regards,
Joren
Comment 4 Jorendc 2013-12-29 00:23:12 UTC
This bug looks fixed to me, tested using LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5be7ec4193b892e5643ff5f3f2e6755319569190
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-27_23:55:02

Image is displayed on the right side, like word does.

Kind regards,
Joren
Comment 5 Luke 2014-01-10 19:38:51 UTC
Great work! Yes, I can also confirm this is fixed in libo-master~2014-01-09_00.59.58_LibreOfficeDev_4.3.0.0.alpha0_Win_x86. 

The related .doc Bug 66119 is still not working. Can the changes in the importer that fixed this bug be ported over to fix that one?